pluginManagement {
    repositories {
        mavenLocal()
        mavenCentral {
            metadataSources {
                mavenPom()
                artifact()
                ignoreGradleMetadataRedirection()
            }
        }
        gradlePluginPortal()
    }
}

dependencyResolutionManagement {
    versionCatalogs {
        libs {
            version('gradle', '8.7')
            version('bouncycastle', '1.78.1')
            version('brotli4j', '1.17.0')
            version('lz4', '1.8.0')
            version('lzf', '1.1.2')
            version('zstd', '1.5.6-5')
            library('bouncycastle', 'org.bouncycastle', 'bcpkix-jdk18on').versionRef('bouncycastle')
            library('lz4', 'org.lz4', 'lz4-java').versionRef('lz4')
            library('lzf', 'com.ning', 'compress-lzf').versionRef('lzf')
            library('zstd', 'com.github.luben', 'zstd-jni').versionRef('zstd')
            library('brotli4j', 'com.aayushatharva.brotli4j', 'brotli4j').versionRef('brotli4j')
            library('brotli4j-native-linux-x8664', 'com.aayushatharva.brotli4j', 'native-linux-x86_64').versionRef('brotli4j')
            library('brotli4j-native-linux-aarch64', 'com.aayushatharva.brotli4j', 'native-linux-aarch64').versionRef('brotli4j')
            library('brotli4j-native-linux-riscv64', 'com.aayushatharva.brotli4j', 'native-linux-riscv64').versionRef('brotli4j')
            library('brotli4j-native-osx-x8664', 'com.aayushatharva.brotli4j', 'native-osx-x86_64').versionRef('brotli4j')
            library('brotli4j-native-osx-aarch64', 'com.aayushatharva.brotli4j', 'native-osx-aarch64').versionRef('brotli4j')
            library('brotli4j-native-windows-x8664', 'com.aayushatharva.brotli4j', 'native-windows-x86_64').versionRef('brotli4j')
        }
        testLibs {
            version('junit', '5.10.2')
            library('junit-jupiter-api', 'org.junit.jupiter', 'junit-jupiter-api').versionRef('junit')
            library('junit-jupiter-params', 'org.junit.jupiter', 'junit-jupiter-params').versionRef('junit')
            library('junit-jupiter-engine', 'org.junit.jupiter', 'junit-jupiter-engine').versionRef('junit')
            library('junit-vintage-engine', 'org.junit.vintage', 'junit-vintage-engine').versionRef('junit')
            library('junit-jupiter-platform-launcher', 'org.junit.platform', 'junit-platform-launcher').version('1.10.1')
            library('hamcrest', 'org.hamcrest', 'hamcrest-library').version('2.2')
            library('junit4', 'junit', 'junit').version('4.13.2')
            library('mockito-core', 'org.mockito', 'mockito-core').version('3.12.4')
            library('assertj', 'org.assertj', 'assertj-core').version('3.22.0')
            library('testlibs', 'com.google.guava', 'guava-testlib').version('33.0.0-jre')
            library('lincheck', 'org.jetbrains.kotlinx', 'lincheck-jvm').version('2.23')
            library('asm-commons', 'org.ow2.asm', 'asm-commons').version('9.7')
            library('asm-util', 'org.ow2.asm', 'asm-util').version('9.7')
            library('gson', 'com.google.code.gson', 'gson').version('2.10.1')
            library('reflections', 'org.reflections', 'reflections').version('0.10.2')
            library('amazonCorrettoCrypt', 'software.amazon.cryptools', 'AmazonCorrettoCryptoProvider').version('2.3.2')
            library('commons-compress', 'org.apache.commons', 'commons-compress').version('1.25.0')
            library('xz-tools', 'org.tukaani', 'xz').version('1.9')
            library('rerunner-jupiter', 'io.github.artsok', 'rerunner-jupiter').version('2.1.6')
            library('apache-ds-dns', 'org.apache.directory.server', 'apacheds-protocol-dns').version('2.0.0.AM27')
        }
    }
}

include 'netty-buffer'
include 'netty-bzip2'
include 'netty-channel'
include 'netty-channel-epoll'
include 'netty-channel-epoll-native'
include 'netty-channel-unix'
include 'netty-channel-unix-native'
include 'netty-handler'
include 'netty-handler-codec'
include 'netty-handler-codec-compression'
include 'netty-handler-codec-dns'
include 'netty-handler-codec-http'
include 'netty-handler-codec-http2'
include 'netty-handler-codec-http3'
include 'netty-handler-codec-quic'
include 'netty-handler-codec-quic-native'
include 'netty-handler-codec-rtsp'
include 'netty-handler-codec-spdy'
include 'netty-handler-ssl'
include 'netty-handler-ssl-bouncycastle'
include 'netty-internal-tcnative'
include 'netty-jctools'
include 'netty-resolver'
include 'netty-resolver-dns'
include 'netty-tcnative-boringssl-static-native'
include 'netty-testsuite'
include 'netty-util'
include 'netty-zlib'
include 'test-results'
